/*------------------------------------------------------------------------------------------*\
 *   Copyright (C) 2011 AVM GmbH <fritzbox_info@avm.de>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*------------------------------------------------------------------------------------------*/

#if !defined(__AVM_NET_HW_CONFIG_)
#define __AVM_NET_HW_CONFIG_

#include <avmnet_module.h>
#include <avmnet_config.h>

#if defined(CONFIG_VR9)
#include "config_3370.h"
#include "config_3370_1.h"
#include "config_6840.h"
#include "config_7360.h"
#include "config_HW185.h"
#include "config_HW202.h"
#include "config_HW209.h"
#endif

#if defined(CONFIG_AR9)
#include "config_7320.h"
#include "config_7330.h"
#include "config_7312.h"
#endif

#if defined(CONFIG_AR10)
#include "config_HW192.h"
#include "config_HW198.h"
#include "config_HW211.h"
#endif

#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_AR724x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_AR724X)) 
#include "config_HW173.h"
#endif

#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_AR934x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_AR934X))
#include "config_HW180.h"
#include "config_6841.h"
#include "config_HW190.h"
#include "config_HW194.h"
#include "config_HW195.h"
#include "config_HW201v2.h"
#include "config_HW207.h"
#endif
#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_QCA955x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_QCA955X))
#include "config_HW200.h"
#include "config_HW205.h"
#include "config_HW214.h"
#endif

#ifndef NUM_ENTITY
#if defined(NUM_ENTITY)
#  undef NUM_ENTITY
#endif /*--- #if defined(NUM_ENTITY) ---*/
#define NUM_ENTITY(x)   (sizeof(x) / sizeof(*(x)))
#endif
#define AVMNET_HW_CONFIG_TABLE_SIZE (sizeof avmnet_hw_config_table / sizeof(struct avmnet_hw_config_entry_struct))

struct avmnet_hw_config_entry_struct avmnet_hw_config_table[] =
{
#if defined(CONFIG_AR9)
    {
        // 7320
        .hw_id = 172,
        .config = &hw172_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw172_avmnet_avm_devices ),
        .avm_devices = hw172_avmnet_avm_devices
    },
    {
        // 7330
        .hw_id = 179,
        .config = &hw179_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw179_avmnet_avm_devices ),
        .avm_devices = hw179_avmnet_avm_devices
    },
    {
        // 7330 SL
        .hw_id = 188,
        .config = &hw179_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw179_avmnet_avm_devices ),
        .avm_devices = hw179_avmnet_avm_devices
    },
    {
        // 7312
        .hw_id = 189,
        .config = &hw189_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw189_avmnet_avm_devices ),
        .avm_devices = hw189_avmnet_avm_devices
    },
#endif // defined(CONFIG_AR9)

#if defined(CONFIG_AR10)
    {
        .hw_id = 192,
        .config = &hw192_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw192_avmnet_avm_devices ),
        .avm_devices = hw192_avmnet_avm_devices
    },
    {
        .hw_id = 198,
        .config = &hw198_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw198_avmnet_avm_devices ),
        .avm_devices = hw198_avmnet_avm_devices
    },
    {
        .hw_id = 211,
        .config = &hw211_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw211_avmnet_avm_devices ),
        .avm_devices = hw211_avmnet_avm_devices
    },
#endif // defined(CONFIG_AR10)

#if defined(CONFIG_VR9)
    {   // 3370
        .hw_id = 175, 
        .config = &hw175_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw175_avmnet_avm_devices ),
        .avm_devices = hw175_avmnet_avm_devices
    },
    {
        // 3370 alternatives Profil, Port 1 aufgespalten in 2*100MBit
        .hw_id = 175,
        .profile_id = 1,
        .config = &hw175_1_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw175_1_avmnet_avm_devices ),
        .avm_devices = hw175_1_avmnet_avm_devices
    },
    {
        // 6840
        .hw_id = 177,
        .config = &hw177_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw177_avmnet_avm_devices ),
        .avm_devices = hw177_avmnet_avm_devices
    },
    {   // 7360 SL
        .hw_id = 181,
        .config = &hw181_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw181_avmnet_avm_devices ),
        .avm_devices = hw181_avmnet_avm_devices
    },
    {
         // 7360
        .hw_id = 183,
        .config = &hw181_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw181_avmnet_avm_devices ),
        .avm_devices = hw181_avmnet_avm_devices
    },
    {
         // 7360 v2 (32MB)
        .hw_id = 196,
        .config = &hw181_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw181_avmnet_avm_devices ),
        .avm_devices = hw181_avmnet_avm_devices
    },
    {
         // 7362
        .hw_id = 202,
        .config = &hw202_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw202_avmnet_avm_devices ),
        .avm_devices = hw202_avmnet_avm_devices
    },
    {
         // 7362 SL
        .hw_id = 203,
        .config = &hw202_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw202_avmnet_avm_devices ),
        .avm_devices = hw202_avmnet_avm_devices
    },
    {
         // 7412
        .hw_id = 209,
        .config = &hw209_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw209_avmnet_avm_devices ),
        .avm_devices = hw209_avmnet_avm_devices
    },
    {
         // 7391
        .hw_id = 185,
        .config = &hw185_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw185_avmnet_avm_devices ),
        .avm_devices = hw185_avmnet_avm_devices
    },
    {
        // 3390
        .hw_id = 193,
        .config = &hw185_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw185_avmnet_avm_devices ),
        .avm_devices = hw185_avmnet_avm_devices
    },
    {
        // 3490 
        .hw_id = 212,
        .config = &hw185_avmnet,
        .nr_avm_devices = NUM_ENTITY( hw185_avmnet_avm_devices ),
        .avm_devices = hw185_avmnet_avm_devices
    },
#endif // defined(CONFIG_VR9)
#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_AR724x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_AR724X))
    {
        // 300E
        .hw_id = 173,
        .config = &avmnet_HW173,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw173_avm_devices ),
        .avm_devices = avmnet_hw173_avm_devices
    },
#endif /*--- #if defined(CONFIG_MACH_AR724x) ---*/
#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_AR934x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_AR934X))
    {
        // 6810
        .hw_id = 180,
        .config = &avmnet_HW180,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw180_avm_devices ),
        .avm_devices = avmnet_hw180_avm_devices
    },
    {   
        // 6841
        .hw_id = 184, 
        .config = &avmnet_6841,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw184_avm_devices ),
        .avm_devices = avmnet_hw184_avm_devices
    },
    {   
        // 546E
        .hw_id = 190, 
        .config = &avmnet_HW190,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw190_avm_devices ),
        .avm_devices = avmnet_hw190_avm_devices
    },
    {
        // 540E
        .hw_id = 201,
        .config = &avmnet_HW190,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw190_avm_devices ),
        .avm_devices = avmnet_hw190_avm_devices
    },
    {
        // 540E SubRevision 2
        .hw_id = 201,
        .hw_sub_id = 2,
        .config = &avmnet_HW201v2,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw201v2_avm_devices ),
        .avm_devices = avmnet_hw201v2_avm_devices
    },
    {
        // 310
        .hw_id = 194,
        .config = &avmnet_HW194,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw194_avm_devices ),
        .avm_devices = avmnet_hw194_avm_devices
    },
    {
        // 6842
        .hw_id = 195,
        .config = &avmnet_HW195,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw195_avm_devices ),
        .avm_devices = avmnet_hw195_avm_devices
    },
    {
        // 6842 intel
        .hw_id = 207,
        .config = &avmnet_HW207,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw207_avm_devices ),
        .avm_devices = avmnet_hw207_avm_devices
    },
#endif /*--- #if defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_QCA955x) ---*/
#if (defined(CONFIG_MACH_ATHEROS) && defined(CONFIG_MACH_QCA955x)) || (defined(CONFIG_ATH79) && defined(CONFIG_SOC_QCA955X))
    {
        // Repeater 450
        .hw_id = 200,
        .config = &avmnet_hw200,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw200_avm_devices ),
        .avm_devices = avmnet_hw200_avm_devices
    },
    {
        // Repeater DVBC
        .hw_id = 205,
        .config = &avmnet_hw205,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw205_avm_devices ),
        .avm_devices = avmnet_hw205_avm_devices
    },
    {
        // Repeater AC (wie Repeater 450) 
        .hw_id = 206,
        .config = &avmnet_hw200,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw200_avm_devices ),
        .avm_devices = avmnet_hw200_avm_devices
    },
    {
        // 6820 LTE (qca9558 rgmii)
        .hw_id = 214,
        .config = &avmnet_hw214,
        .nr_avm_devices = NUM_ENTITY( avmnet_hw214_avm_devices ),
        .avm_devices = avmnet_hw214_avm_devices
    },
#endif /*--- #if defined(CONFIG_MACH_QCA955x) ---*/
};

#endif
